

#include "trail.h"

void trail::setup()
{	
	size	 = 4;
	alpha	 = 40;
	bfade	 = false;
	offset	 = 10;
	r = 0;
	g = 0;
	b = 0;
}

void trail::setup(float offset, int r, int g, int b)
{	
	size	 = 4;
	alpha	 = 40;
	bfade	 = false;
	offset = 10;
	r = r;
	g = g;
	b = b;
	offset = offset;
}

void trail::update(ofPoint pt)
{
	points.push_back(pt);
	if(points.size() > 20) clearPoint();
}

void trail::draw(int color)
{
	ofEnableAlphaBlending();
	ofEnableSmoothing();

	ofBeginShape();
	ofNoFill();
	for (int i = 0; i < points.size(); i++)
	{			
		int mappedAlpha=ofMap(points[i].x, 0, ofGetHeight(), 200, 0);
		//ofSetColor(r,g,b,mappedAlpha);
		//ofSetColor(255,0,0);
		ofSetColor(color, color, color);
		
		ofVertex(points[i].x+offset,points[i].y+offset);
		//ofCircle(points[i].x+offset,points[i].y+offset, 1);
	}
	ofEndShape();
	
	ofDisableSmoothing();
	ofDisableAlphaBlending();
}


void trail::clearPoint()
{
	points.erase(points.begin());
}


void trail::clearPoints()
{
	points.clear();
}
		